2009年4月22日

[samba-jp:20663] Re:mac os x serverへの導入

井上です。

みやはらさん、ありがとうございます。これならコンパイルできなくてはいけな
いと思うのですが、なぜかlibldapがないと言われて(/usr/lib/libldap.dylib
を探せてない?)だめでした。もう少し探ってみます。
しかし、いずれにせよAppleはsamba-3.0.xxしか提供してないということです
ね。やはり最新のソースとこのアップルのものをマージできるだけの知識がない
とバージョンアップは難しい・・・sambaオリジナルなら3.3.3のコンパイルはで

きたんですけど。
sambaはユーザ認証がpassdb backendとしてモジュール化されているという説明
を読みました。もしかしたら、opendirectory用のbackendを別途コンパイルでき
れば、sambaオリジナルの3.3.3と組み合わせて使えるのでしょうか?Appleがそ
ういうものを用意していればということになりましょうが。

Toru Mi.YAHARAさんがWed, 22 Apr 2009 09:50:40 +0900に
「[samba-jp:20662] Re: mac os x serverへの導入」の件で:
> みやはらです。
>
>
> v10.3.9用ならこちらです。
>
> http://www.opensource.apple.com/darwinsource/10.3.9/
>
>
> けど、入っているバージョンは一緒だと思うので、自分でやりくりしないと
> Sambaのバージョンアップは無理だと思われます。
--
https://www.ns.tcu.ac.jp/%7einoue/Signature/ 井上
.


投稿者 xml-rpc : 2009年4月22日 12:04
役に立ちました?:
過去のフィードバック 平均:(0) 総合:(0) 投票回数:(0)
本記事へのTrackback: http://hoop.euqset.org/blog/mt-tb2006.cgi/84556
トラックバック
コメント
コメントする




画像の中に見える文字を入力してください。